Bug 615146 - YaST docs on FIRSTBOOT_FINISH_FILE incorrect
YaST docs on FIRSTBOOT_FINISH_FILE incorrect
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE 11.2
Classification: openSUSE
Component: YaST2
Final
x86-64 openSUSE 11.2
: P3 - Medium : Normal (vote)
: Future 11.3
Assigned To: Jiří Suchomel
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 15:39 UTC by Javier Llorente
Modified: 2010-11-04 06:31 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
patch for /usr/share/YaST2/clients/firstboot_finish.ycp (1016 bytes, patch)
2010-10-20 11:47 UTC, Jiří Suchomel
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Javier Llorente 2010-06-17 15:39:52 UTC
User-Agent:       Mozilla/5.0 (compatible; Konqueror/4.4; Linux) KHTML/4.4.3 (like Gecko) SUSE

According to http://chorgan.provo.novell.com/yast/doc/SLES11/tdg/bk09ch01s02.html

"If you want to use FIRSTBOOT_FINISH_FILE, you need to update the firstboot workflow so that it calls firstboot_finish instead of inst_finish. The recommended way of customizing the congratulate text is specifying it in the firstboot.xml control file."

This is incorrect. You have to put the text directly in /etc/sysconfig/firstboot, not in /etc/YaST2/firstboot.xml
Tested on openSUSE 11.2.

Besides this, I have to say that documentation on FIRSTBOOT_FINISH_FILE is scarce. I suppose it doesn't support localization. 
And I have also found out that it supports some xml tags (at least <br />).

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 Karl Eichwalder 2010-06-18 09:00:48 UTC
Probably fixed on SLE11 SP1 and openSUSE 11.3.
Comment 2 Karl Eichwalder 2010-08-25 11:54:47 UTC
Oops, I did not notice that this is about dedicated YaST docs, and not about the system manuals.
Comment 4 Jiří Suchomel 2010-10-20 11:40:17 UTC
Well, both the documentation and the behavior are wrong. The documentation should say something like:

"If you want to use FIRSTBOOT_FINISH_FILE, you need to update the firstboot workflow so that it calls firstboot_finish instead of inst_congratulate. The content of the given file would be shown as the final text. However the recommended way of customizing the congratulate text is using default inst_congratulate step and specifying the text (as a value for 'congratulate' section) it in the firstboot.xml control file."
Comment 5 Jiří Suchomel 2010-10-20 11:47:42 UTC
Created attachment 395950 [details]
patch for /usr/share/YaST2/clients/firstboot_finish.ycp

Please patch your firstboot_finish.ycp file and try to use the value of FIRSTBOOT_FINISH_FILE as originally expected, i.e. as a file path.
Comment 6 Jiří Suchomel 2010-11-03 15:24:45 UTC
Any news?
Comment 7 Javier Llorente 2010-11-03 16:50:28 UTC
Sorry for the delay. I have just tested it on openSUSE 11.3 and it works. BTW, it would be great if it could support multiple languages. 
Thanks!
Comment 8 Jiří Suchomel 2010-11-04 06:31:47 UTC
That's what the "recommended way" is for. It is expected not to use firstboot_finish but inst_congratulate step, and define the text as "congratulate" part of your firstboot.xml (see how it is defined in /etc/YaST2/control.xml). And for texts in firstboot.xml you can provide translations to several languages.

So, using FIRSTBOOT_FINISH_FILE is actually the old and obsoleted way (but at least it works with the fix). Fixed package goes to Factory (not to 11.2).